webdevqa.jp.net

ModuleNotFoundError:「google.appengine」という名前のモジュールはありません

Windowsのpython3でグーグル検索をしたいのですが。グーグルの説明は、彼らがpython3をサポートし、詳細については「gcloud topic init」と入力すると言っています-しかし、それはpython2.7のインタプリタがないと言って失敗します。 python3で動作させる方法を見つけるためにpython2.7をインストールする必要がありますか?

Python3では、次のようなエラーメッセージが表示されます。 APIキーとカスタム検索エンジンを設定しました。 「pip install google-api-python-client」を実行しました。 GoogleCloudSDKInstallerをダウンロードして実行しました。これはエラーです:

from googleapiclient.discovery import build
service = build("customsearch", "v1", developerKey="xxxxxx")

私は得ます:

[googleapiclient.discovery_cache:WARNING]:file_cache is unavailable when using oauth2client >= 4.0.0 or google-auth (__init__.py:44, time=Apr-07 17:25) Traceback (most recent call last):   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\__init__.py", line 36, in autodetect
    from google.appengine.api import memcache ModuleNotFoundError: No module named 'google.appengine'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\file_cache.py", line 33, in <module>
    from oauth2client.contrib.locked_file import LockedFile ModuleNotFoundError: No module named 'oauth2client'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\file_cache.py", line 37, in <module>
    from oauth2client.locked_file import LockedFile ModuleNotFoundError: No module named 'oauth2client'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\__init__.py", line 41, in autodetect
    from . import file_cache   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\file_cache.py", line 41, in <module>
    'file_cache is unavailable when using oauth2client >= 4.0.0 or google-auth') ImportError: file_cache is unavailable when using oauth2client >= 4.0.0 or google-auth [googleapiclient.discovery:INFO]:URL being requested: GET https://www.googleapis.com/discovery/v1/apis/customsearch/v1/rest?key=AIzaSyBGDtIo_P8xXbn0ksb15wUhy6sdR_eBDpU
18
simon

次のように、サービスの作成時にパラメーターcache_discovery=Falseが必要です。

service = discovery.build('customsearch', 'v1', credentials=<...>, cache_discovery=False)
29
simon